pro ephinfo_y2k,s2ephy2k
;###############################################################################
;File - ephinfo.pro    Date - Oct 7, 1998    Size - 85,544 Bytes
; Creates the Structure for the SAGE II database records which are in the
; SAGE_II_EHPEM_yyyymm.vvv file format, new to version 6.0.
;###############################################################################
; Make some temporary arrays
f1 = fltarr(3) & d1 = dblarr(381,3) & d2 = dblarr(381) & db = 0.0d00

; Define the profile structure
s2ephy2k = {Ephemeris_Data_y2kb, Source:{ Ephemeris_Source_Data_y2kb, $
; 	Field 			  Type 			Description
	Index:				0L,  $ ; Index of the selected Ephemeris data set
	RiseSet:			0., $ ; Sun rise (0) or set (1)
;**** change
	YYYYMMDD:			0L, $ ; YYYYMMDD of the eph source data
	HHMMSS:				0., $ ; HHMMSS of the eph source data
	Beta:				0., $ ; Source Beta angle (degrees)
	Sat_Pos:			f1, $ ; Spacecraft position X,Y,Z coordinates (km)
	Sat_Vel:			f1, $ ; Spacecraft velocities U,V,W (km/sec)
	Sat_Lat:			0., $ ; Sub-spacecraft latitude (degrees)
	Sat_Lon:			0., $ ; Sub-spacecraft longitude (degrees)
	Sat_Alt:			0., $ ; Sub-spacecraft altitude (km)
	Sun_Pos:			f1, $ ; Sun position X,Y,Z coordinates (AU)
	Earth_Sun_Dist:		0., $ ; Distance from the Earth to the Sun (AU)
	Lunar_Eclipse:		0., $ ; Lunar Eclipse 1=Yes 0=No
        junk:                   0.},$ 

	Time:				d2, $ ; Grid Time (seconds)
	Beta:				d2, $ ; Beta angle (deg)
	Sun_Size:			d2, $ ; Subtended angle of the Sun (Arcmin)
	Tan_Lat:			d2, $ ; Geodetic latitude of the Sub-Tangent Point (deg)
	Tan_Lon:			d2, $ ; Longitude of the sub-tangent point (deg)
	Tan_Earth_Radius:	d2, $ ; Radius of the earth at the sub-tangent point (km)
	Alt_Rate:			d2, $ ; Rate of change of the tangent point altitude (km/sec)
	Pos_Rate:			d2, $ ; Rate of change of the tangent position as seen from s/c
	Alt_Top:			d2, $ ; Minimum height of tangent ray (top of sun)
	Alt_Bottom:			d2, $ ; Minimum height of tangent ray (bottom of sun)
	Sat_Lat:			d2, $ ; Geodectic latitude of the s/c (deg)
	Sat_Lon:			d2, $ ; Longitude of the spacecraft (deg)
	Sat_Alt:			d2, $ ; Altitude of the s/c above the oblate spheroid (km)
	Sat_Oblate:			d2, $ ; Radius of the earth at the spacecraft point (km)
	Sun_Top:			d2, $ ; Elevation angle of the sun vector (top of sun) (radians)
	Sun_Bottom:			d2, $ ; Elevation angle of the sun vector (bottom of sun) (radians)
	Sun_Azim:			d2, $ ; Azimuth angle of the sun vector (degrees)
	Sun_RA:				d2, $ ; Right ascension (degrees)
	Sun_Dec:			d2, $ ; Declination (degrees)
	Sat_Pos:			d1, $ ; Spacecraft X,Y,Z coordinates (km)
	Sat_Vel:			d1, $ ; Spacecraft U,V,W velocities (km/sec)
	Sun_Pos:			d1, $ ; Sun X,Y,Z coordinates (AU)
;*****start  change
	Start_Year:			0L, $ ; Start year of ephemeris time array
	Start_Day:			0L, $ ; Start day of ephemeris time array
	Start_DSL:			0,	$ ; Ephemeris start Days Since Launch
	End_DSL:			0,	$ ; Ephemeris end Days Since Launch
;*****end change
        junk:                           0L,     $
	Start_Seconds:		db, $ ; Ephemeris calculation start time (seconds)
	End_Seconds:		db, $ ; Ephemeris calculation end time (seconds)
	Ref_Sun:			db, $ ; Subtended angle of the sun at a tangent point of 5km (deg)
	Ref_Date:			0L, $ ; Date YYYYMMDD
        junk2:                          0L, $
	Ref_Time:			db, $ ; Time HHMMSS
	Ref_Beta:			db, $ ; Beta angle at tangent point 5km (degrees)
	Ref_Lat:			db, $ ; Latitude when tangent point at 5km (deg)
	Ref_Lon:			db, $ ; Longitude at tangent point 5km (deg)
	Ref_Tan_Radius:		db, $ ; Radius of the earth at tangent point 5km (km)
	Ref_Sat_Alt:		db, $ ; Altitude of the s/c at tangent point 5km (km)
	Ref_Sat_Oblate:		db, $ ; Radius of the earth at s/c point (km)
;****Changing to an  array
	Radius_Orbit:		d2, $ ; Radius from the spacecraft to the earth center of mass (km)
	Radius_Earth:		d2  } ; Radius of the spherical earth (km)
return
end
