pro get_latlon_box_event,event

;-------------------------------------------------------------------
;   This procedure manages events generated by the get_user_blocks GUI
;-------------------------------------------------------------------
common block,nlat,slat,wlon,elon

widget_control,event.id,GET_UVALUE=uvalue

case uvalue of
  'done' : begin
    WIDGET_CONTROL,event.top,GET_UVALUE=info
    WIDGET_CONTROL,info[0],GET_VALUE=nlat
    WIDGET_CONTROL,info[1],GET_VALUE=slat
    WIDGET_CONTROL,info[2],GET_VALUE=wlon
    WIDGET_CONTROL,info[3],GET_VALUE=elon

    if ((nlat lt -90) or (nlat gt 90) or (slat lt -90) or (slat gt 90)) then begin
      response = DIALOG_MESSAGE("Latitude values must be between -90 and 90",/ERROR)
      return
    endif
    if (nlat le slat) then begin
      response = DIALOG_MESSAGE("Northmost latitude must be larger than southmost latitude",/ERROR)
      return
    endif
    if ((wlon lt -180) or (wlon gt 180) or (elon lt -180) or (elon gt 180)) then begin
      response = DIALOG_MESSAGE("Longitude must be between -180 and 180",/ERROR)
      return
    endif

    WIDGET_CONTROL,event.top,/DESTROY
   end
   'reset' : begin
     WIDGET_CONTROL,event.top,GET_UVALUE=info
     WIDGET_CONTROL,info[0],SET_VALUE=info[4]
     WIDGET_CONTROL,info[1],SET_VALUE=info[5]
     WIDGET_CONTROL,info[2],SET_VALUE=info[6]
     WIDGET_CONTROL,info[3],SET_VALUE=info[7]
     return
   end
   else:
endcase

return
end