;+
;pick out the structure that matches the type and version provided.
;$Header: /home/users/burton/sageprof-rcs/getstructinfo.pro,v 1.18 2003/08/21 15:51:10 burton Exp $
;-
pro getstructinfo,struct,typ,vers
indexinfo_60d,indexd
indexinfo_610,index610
transinfo_600,transm0
refractinfo_60d,refrd
metinfo,s2met
metinfo_610,met610
ephinfo_y2k,s2ephy2k
specinfo_600,spec600
specinfo_610,spec610
expinfo,exp600
suninfo,sundir

knownversions = ['6.00','6.1A','6.10','6.20']
vix = where(knownversions eq vers)
if vix(0) eq -1 then begin
    vers = knownversions(n_elements(knownversions)-1)
    print,'WARNING: Version extension not recognized. '+$
      'Using structures for version ',vers
endif

if (typ eq 'MET') then begin
    if (vers eq '6.00') then begin
        struct = s2met
    endif else begin
        struct = met610
    endelse
endif else if (typ eq 'SPEC') then begin
    if (vers eq '6.00') then begin
        struct = spec600
    endif else begin
        struct = spec610
    endelse
endif else if (typ eq 'INDEX') then begin
    if (vers eq '6.00') then begin
        struct = indexd
    endif else begin
        struct = index610
    endelse
endif else if (typ eq 'TRANS') then begin
    struct = transm0
endif else if (typ eq 'EPHEM') then begin
    struct = s2ephy2k
endif else if (typ eq 'REF') then begin
    struct = refrd
endif else if (typ eq 'EXP') then begin
    struct = exp600
endif else if (typ eq 'SUN') then begin
    struct = sundir
endif else begin
    stop,'ERROR: '+typ+' is not a recognized '+$
      'type of the structure file.'
endelse
return
end




