pro indexinfo_60d,indexd
; Define the header structure
; Field				   Type				Description

indexd ={INDEXINFO_60D,$
	Num_Prof:      0L,               $ ;Number of profiles(records) in these files

;Revision Info
	Met_Rev_Date:   0L, 	        $ ;LaRC Met Model Rev Date (yyyymmdd)
	Driver_Rev:        bytarr(8), 	$ ;LaRC Driver version (eg. 6.0a)
	Transmission_Rev:  bytarr(8),   $ ;LaRC Transmission version
	Inversion_Rev:     bytarr(8),   $ ;LaRC Inversion version
	Spectroscopy_Rev:  bytarr(8),   $ ;LaRC Inversion version
	Eph_File_Name:     bytarr(32),  $ ;Ephem file name
	Met_File_Name:     bytarr(32),  $ ;Met file name
	Ref_File_Name:     bytarr(32),  $ ;Refraction file name
	Trans_File_Name:   bytarr(32),  $ ;Transmission file name
	Spec_File_Name:    bytarr(32),  $ ;Species profile file name
	FillVal:           0.,          $ ;Fill value

;Altitude grid and range info
        Grid_Size:         0.,          $ ;Altitude Grid spacing (0.5km)
	Alt_Grid:          fltarr(200), $ ;Geometric Altitudes (0.5, 1.0,..., 100.0km)
	Range_Trans:       fltarr(2),   $ ;Transmission Min & Max altitudes       [0.5,100.]
	Range_O3:          fltarr(2),   $ ;Ozone Density Min & Max altitudes      [0.5,70.0]
	Range_NO2:         fltarr(2),   $ ;NO2 Density Min & Max altitudes        [0.5,50.0]
	Range_H2O:         fltarr(2),   $ ;H2O Density Min & Max altitudes        [0.5,50.0]
	Range_Ext:         fltarr(2),   $ ;Aerosol Extinction Min & Max altitudes [0.5,40.0]
	Range_Density:     fltarr(2),   $ ;Density Min & Max altitudes            [0.5,70.0]
	Reserved:          fltarr(2),   $ 

;Event Specific Info useful for data subsetting
	YYYYMMDD:          lonarr(930), $ ;Event Date (yyyymmdd) at 20km
        event_num:         lonarr(930), $ ;The event number
	HHMMSS:            lonarr(930), $ ;Event Time (hhmmss) at 20km
	Day_Frac:          fltarr(930), $ ;Time of Year (ddd.fraction)
	Lat:               fltarr(930), $ ;Subtangent Latitude at 20km (-90 to 90)
	Lon:               fltarr(930), $ ;Subtangent Longitude at 20km (-180 to 180)
	Beta:              fltarr(930), $ ;Spacecraft Beta angle (degrees)
	Duration:          fltarr(930), $ ;Duration of event (seconds)
	Type_Sat:          intarr(930), $ ;Event Type, Instrument (0=sr, 1=ss)
	Type_Tan:          intarr(930), $ ; Event Type, Local (0=sr,1=ss)

;Process Tracking
;Flag info

        Dropped:           lonarr(930), $ ;Dropped-event flag
        InfVec:           lonarr(930),  $ ;Bit flags relating to processing
;Ephemeris
        Eph_Cre_Date:      lonarr(930), $ ;Record creation date (yyyymmdd)
	Eph_Cre_Time:      lonarr(930), $ ;Record creation time (hhmmss)
;Met
	Met_Cre_Date:      lonarr(930), $ ;Record creation date (yyyymmdd)
	Met_Cre_Time:      lonarr(930), $ ;Record creation time (hhmmss)
;Refraction
	Ref_Cre_Date:      lonarr(930), $ ;Record creation date (yyyymmdd)
	Ref_Cre_Time:      lonarr(930), $ ;Record creation time (hhmmss)
;Transmission
	TRANS_Cre_Date:    lonarr(930), $ ;Record creation date (yyyymmdd)
	TRANS_Cre_Time:    lonarr(930), $ ;Record creation time (hhmmss)
;Inversion
	SPECIES_Cre_Date:  lonarr(930), $ ;Record creation date (yyyymmdd)
	SPECIES_Cre_Time:  lonarr(930)  } ;Record creation time (hhmmss)
return
end
