pro metinfo,s2met
;###############################################################################
;File - Metstr.pro    Date - Oct 9, 1998    Size - 19,840 Bytes
; Creates the Structures for the SAGE II database records which are in the
; SAGE_II_MET_yyyymm.vvv file format, new to version 6.0.
;###############################################################################
; Make some temporary arrays
f2 = fltarr(25)		& f3 = dblarr(603)

; Define the profile structure
s2met = {NMC_Met_Data, $
; 	Field 			  Type 			Description
	YYYYMMDD:			0., $ ; Met YYYYMMDD
	HHMMSS:				0., $ ; Met HHMMSS
	YYYYDDD:			0., $ ; Met YYYYDDD
	Lat:				0., $ ; Met latitude (?)
	Lon:				0., $ ; Longitude from met data (?)
	Event_Type:			0., $ ; Event type from met data
	Version:			0., $ ; Met version number
	Pointer:			0., $ ; Pointer to model met
	Model_Code:	    	0., $ ; Met code for seasons
	Rev_Date:			0., $ ; Met model revision date
	Temp:				f2, $ ; Met temperature (Kelvin)
	Temp_Err:			f2, $ ; Temperature error (Kelvin)
	Altitude:			f2, $ ; Met geometric altitude (meters)
	Dens:				f2, $ ; Met density (gm/m3)
	Dens_Err:			f2, $ ; Density error in percent
        Junk:                           0., $ ; Spare
	Gridded_Pres:		f3, $ ; Pressure at 1/nperkm km increments (?)
	Gridded_Temp:		f3, $ ; Temperature at 1/nperkm km increments (?)
	Gridded_Alt:		f3, $ ; Altitude at 1/nperkm km increments (?)
	Gridded_Dens:		f3, $ ; Density at 1/nperkm km increments (?)
	Gridded_Dens_err:		f3  } ; Density error at 1/nperkm km increments (?)
return
end
