
;###############################################################################
;
; Creates the Structures for the SAGE II database records which are in the
; SAGE_II_MET_yyyymm.vvv file format, new to version 6.1.
;###############################################################################
pro metinfo_610,met610

; Make some temporary arrays
f2 = fltarr(25)		& f3 = dblarr(603)

; Define the profile structure
met610 = {NCEP_MET_DATA, $
; 	Field 			  Type 			Description
	YYYYMMDD:			0L, $ ; Met YYYYMMDD   0
	HHMMSS:				0., $ ; Met HHMMSS     1
	YYYYDDD:			0L, $ ; Met YYYYDDD    2
	Lat:				0., $ ; Met latitude (?) 3
	Lon:				0., $ ; Longitude from met data (?)  4
	Event_Type:			0., $ ; Event type from met data  5
	Version:			0., $ ; Met version number  6
	Pointer:			0., $ ; Pointer to model met  7
	Model_Code:	    		0., $ ; Met code for seasons  8
	Rev_Date:			0L, $ ; Met model revision date  9
	Temp:				f2, $ ; Met temperature (Kelvin)  10
	Temp_Err:			f2, $ ; Temperature error (Kelvin)  11
	Altitude:			f2, $ ; Met geometric altitude (meters)  12
	Dens:				f2, $ ; Met density (gm/m3)  13
	Dens_Err:			f2, $ ; Density error in percent  14
	junk:				0., $ ; Padding  15
	Gridded_Pres:		f3, $ ; Pressure at 1/nperkm km increments (?)  16
	Gridded_Temp:		f3, $ ; Temperature at 1/nperkm km increments (?)  17
	Gridded_Alt:		f3, $ ; Altitude at 1/nperkm km increments (?)  18
	Gridded_Dens:		f3, $ ; Density at 1/nperkm km increments (?)  19
	Gridded_Dens_err:		f3  } ; Density error at 1/nperkm km increments (?) 20
return
end






