pro specinfo_600,spec600
spec600 = {SPECIES_INFO_600,$
;       Field            Type         Description
        Tan_Alt:         fltarr(8),$;   Subtangent Altitudes (km)
        Tan_Lat:         fltarr(8),$;   Subtangent Latitudes  @ Tan_Alt (deg)
        Tan_Lon:         fltarr(8),$;   Subtangent Longitudes @ Tan_Alt (deg)
        NMC_Pres:        fltarr(140),$; Gridded Pressure profile (mb)
        NMC_Temp:        fltarr(140),$; Gridded Tempereature profile (K)
        NMC_Dens:        fltarr(140),$; Gridded Density profile (cm^(-3))
        NMC_Dens_Err:    intarr(140),$; Error in NMC_Dens (%*1000)
        Trop_Height:     0.,$;          NMC Tropopause Height (km)
        Wavelength:      fltarr(7),$;   Wavelength of each channel (nm)
        O3:              fltarr(140),$; O3  Density profile 0-70Km (cm^(-3))
        NO2:             fltarr(100),$; NO2 Density profile 0-50Km (cm^(-3))
        H2O:             fltarr(100),$; H2O Volume Mixing Ratio 0-50Km (ppp)
        Ext386:          fltarr(80),$;  386 nm Extinction   0-40Km (1/km)
        Ext452:          fltarr(80),$;  452 nm Extinction   0-40Km (1/km)
        Ext525:          fltarr(80),$;  525 nm Extinction   0-40Km (1/km)
        Ext1020:         fltarr(80),$;  1019nm Extinction   0-40Km (1/km)
        Density:         fltarr(140),$; Calculated Density  0-70Km (cm^(-3))
        Reserved:        fltarr(80),$;  Reserved for future version
        O3_Err:          intarr(140),$; Error in  O3 density profile (%*100)
        NO2_Err:         intarr(100),$; Error in NO2 density profile (%*100)
        H2O_Err:         intarr(100),$; Error in H2O mixing ratio (%*100)
        Ext386_Err:      intarr(80),$;  Error in  386nm Extinction (%*100)
        Ext452_Err:      intarr(80),$;  Error in  452nm Extinction (%*100)
        Ext525_Err:      intarr(80),$;  Error in  525nm Extinction (%*100)
        Ext1020_Err:     intarr(80),$;  Error in 1019nm Extinction (%*100)
        Density_Err:     intarr(140),$; Error in Density (%*100)
        Reserved1:       intarr(80),$;  Reserved for a future version
        InfVec:          intarr(140) }; Reserved for a future version
return
end
