pro transinfo_600,transm0
transm0 = {TRANS_INFO_60,$
;Event Specific
	Tan_Alt:       fltarr(8),       $ ;Subtangent Altitudes (0, 10, 20, ..., 70) (km)
	Tan_Lat:       fltarr(8),       $ ;Subtangent Latitudes  @ Tan_Alt (deg)
	Tan_Lon:       fltarr(8),       $ ;Subtangent Longitudes @ Tan_Alt (deg)

;Calibration Data
	I0_High:       0.,              $ ;Highest altitude for I0 scan (km)
	I0_Low:        0.,              $ ;Lowest altitude for I0 scan (km)
        PMC_Minalt:    0.,              $ ;Min altitude pmc detected(km)
        PMC_Maxalt:    0.,              $ ;Max altitude pmc detected(km)
	Num_I0_Up:     0L,              $ ;Number of I0 up-scans
	Num_I0_Down:   0L,              $ ;Number of I0 down-scans
	Spare:         0L,              $ ;Number of sunspot regions detected
        Spot_Frac:     0.,              $ ;Fraction of sun rejected due to sunspots
	Wavelength:    fltarr(7),       $ ;Wavelength of each channel (385, 448, ..., 1020)
	Mir_curv:   fltarr(7),       $ ;Scan Mirror norm position for 7 channels (?)
	Mir_slope:     fltarr(7),       $ ;Scan Mirror Calibration Slope for 7 channels (?)
        zero_up:       fltarr(96,7),    $ ;Gridded I0 value for up scans

        zero_down:     fltarr(96,7),    $ ;Gridded I0 value for down scans

; Transmission scans
	Num_Scan:      0L,              $ ;Number of scans in the event
	Scan_Top:      fltarr(100),     $ ;Vector of Scan top altitudes (km)
	Scan_Bottom:   fltarr(100),     $ ;Vector of Scan bottom altitudes (km)
	Scan_Shift:    fltarr(100),     $ ;Vector of Scan Shift coefficients (msec)
	Scan_Stretch:  fltarr(100),     $ ;Vector of Scan Stretch coefficients (msec)
	Scan_Delta_Z:  fltarr(100),     $ ;Vector of Scan Displacements coefficients (km)
        Scan_Flags:    lonarr(100),     $ ;Quality flags for each scan
        Npoints:       intarr(200,7),   $ ;Number of points in each bin

;Slant Path Optical Depth Vectors (0-100Km)
        SPOD386:       fltarr(200),     $ ;Slant Path Optical Depth @  386nm
	SPOD448:       fltarr(200),     $ ;Slant Path Optical Depth @  448nm
	SPOD452:       fltarr(200),     $ ;Slant Path Optical Depth @  452nm
	SPOD525:       fltarr(200),     $ ;Slant Path Optical Depth @  525nm
	SPOD600:       fltarr(200),     $ ;Slant Path Optical Depth @  600nm
	SPOD935:       fltarr(200),     $ ;Slant Path Optical Depth @  935nm
	SPOD1020:      fltarr(200),     $ ;Slant Path Optical Depth @ 1020nm
	SPOD386_Err:   intarr(200),     $ ;Error in Slant Path Optical Depth @  386nm (%*100)
	SPOD448_Err:   intarr(200),     $ ;Error in Slant Path Optical Depth @  448nm (%*100)
	SPOD452_Err:   intarr(200),     $ ;Error in Slant Path Optical Depth @  452nm (%*100)
	SPOD525_Err:   intarr(200),     $ ;Error in Slant Path Optical Depth @  525nm (%*100)
	SPOD600_Err:   intarr(200),     $ ;Error in Slant Path Optical Depth @  600nm (%*100)
	SPOD935_Err:   intarr(200),     $ ;Error in Slant Path Optical Depth @  935nm (%*100)
	SPOD1020_Err:  intarr(200),     $ ;Error in Slant Path Optical Depth @ 1020nm (%*100)
        Ratioerr1020:  fltarr(200),     $ ; Old err/New err(BZ way) @ 1020nm
        Ratioerr935:   fltarr(200),     $ ; Old err/New err(BZ way) @ 1020nm
        Ratioerr600:   fltarr(200),     $ ; Old err/New err(BZ way) @ 935nm
        Ratioerr525:   fltarr(200),     $ ; Old err/New err(BZ way) @ 600nm
        Ratioerr452:   fltarr(200),     $ ; Old err/New err(BZ way) @ 525nm
        Ratioerr448:   fltarr(200),     $ ; Old err/New err(BZ way) @ 452nm
        Ratioerr386:   fltarr(200),     $ ; Old err/New err(BZ way) @ 448nm
	Covar525_1020: fltarr(200),     $ ;525nm to 1020nm covariance
        Covar935_1020: fltarr(200),     $ ;935nm to 1020nm covariance
        Covar448_452:  fltarr(200),     $ ;448nm to 452nm covariance
        Bin_Flag: lonarr(200),     $ ;Quality flags for each altitude bin
        TRANS_Cre_Date: 0L,             $ ;Record creation date (yyyymm)
        TRANS_Cre_Time: 0L         }      ;Record creation time (hhmmss)
return
end





